'use strict';

const router = require('express').Router();
const middleware = require('>/middleware/auth');

router.use('/auth', require('./auth'));
router.use('/token/auth', require('./authtoken'));
router.use('/torrent', middleware.auth, require('./transmission'));
router.use('/user', middleware.auth, require('./user'));

module.exports = router;
