'use static';

const router = require('express').Router();
const zlib = require('zlib');
const fs = require('fs');
const https = require('https');
const http = require("http");
const proxy = require('http-proxy-middleware');

const inject = fs.readFileSync('./inject.html', 'utf8');
const mainjs = fs.readFileSync('./static/main.js', 'utf8');

// app.all("/*.js", function(req, res){res.send('')});

router.all('/static/main.js', function(req,res){
	res.write(mainjs);
});

const proxyTarget = {
	// target: "https://wtfismyip.com",
	// host: "wtfismyip.com",
	target: 'https://piratebay.party',
	host: 'piratebay.party',
	// target: 'http://172.16.0.1',
	// host: 'piratebayo3klnzokct3wt5yyxb2vpebbuyjl7m623iaxmqhsd52coid.onion'
}

function generateRegexForDomain(domain) {
    // Escape special characters in the domain name
    const escapedDomain = domain.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');

    // Construct a regular expression pattern to match the domain with optional http(s):// prefix
    const regexPattern = new RegExp(`(?:https?:\\/\\/)?${escapedDomain}`, 'ig');

    return regexPattern;
}

router.all("/*", proxy({
	target: proxyTarget.target,
	agent: proxyTarget.target.startsWith('https') ? https.globalAgent : http.globalAgent,
	secure: false,
	autoRewrite: true,
	changeOrigin: true,
    followRedirects: true,
		headers: {
    		host: proxyTarget.host 
    	},
	selfHandleResponse: true, // so that the onProxyRes takes care of sending the response
	onProxyRes: function(proxyRes, req, res){

		if(proxyRes.statusCode === 403 && proxyRes.headers['content-type'] &&
			proxyRes.headers['content-type'].match('html')
		){
			console.log('403')
			var url = (req.protocol + '://' + req.get('host') + req.originalUrl);
			proxyRes.headers['location'] = url.replace(/\??ckattempt\=\d+/, '');
			proxyRes.statusCode == 307

			return res.end()
		}

		for(let key of Object.keys(proxyRes.headers)){
			if(['content-encoding'].includes(key)) continue;
			// res.set(key, proxyRes.headers[key].toString().replace('http://', 'https://'))
		}

		let body = new Buffer('');
		proxyRes.on('error', function(e){
			console.error('ERROR!', e)
		});

		proxyRes.on('data', function(data){
			body = Buffer.concat([body, data]);
		});

		proxyRes.on('end', function(){
			body = proxyRes.headers['content-encoding'] === 'gzip' ? zlib.gunzipSync(body).toString('utf8') : body;
			body = proxyRes.headers['content-encoding'] === 'br' ? zlib.brotliDecompressSync(body).toString('utf8') : body;
			if(proxyRes.statusCode === 200 &&
				proxyRes.headers['content-type'] &&
				proxyRes.headers['content-type'].match('html')
			){
				body = body.toString().replace(/<\s*script[^]*?script>/igm, '');
				body = body.replace(generateRegexForDomain(proxyTarget.host), '');
				body = body.replace(/<\s*iframe[^]*?iframe>/igm, '');
				body = body.replace("</html>", '');
				body = body+inject+"</html>";
			}
			res.status(proxyRes.statusCode).end(body);
		});

	}
}));

module.exports = router;
